Subject: Re: bug#60126: 30.0.50; vc-git-checkin: Offer to unstage conflicting changes

From: Dmitry Gutov <[email-masked]>
Date: Tue, 20 Dec 2022 02:53:28 +0200

On 20/12/2022 00:30, Sean Whitton wrote:
> This is a nice suggestion.  A step further would be to unconditionally
> stash and unstash.  Given how committing patches with C-x v v works, I
> don't believe it can ever be the case that the stash is not applicable
> afterwards?

I'm not sure that's 100% true, given that we'll want to stage the 
contents of the staging area (which are supposedly represented as diffs 
against the last committed state), and our command, while keeping the 
contents of files on disk intact, moves the last commit to a new state.

> If that's wrong, I'll implement what you suggest.

...but we might as well try and experiment. Worst case: the stash won't 
apply cleanly and the user will have to do it by hand. That would mean 
no big loss of information, at least.